Bug 494083 - subversion doesn't conform SELinux requirements
subversion doesn't conform SELinux requirements
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: subversion (Show other bugs)
11
All Linux
low Severity high
: ---
: ---
Assigned To: Joe Orton
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-03 22:35 EDT by Vadym Chepkov
Modified: 2010-06-28 07:41 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 07:41:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vadym Chepkov 2009-04-03 22:35:25 EDT
subversion-1.6.0-3 crashes with the following avc:

type=AVC msg=audit(1238811447.482:145537): avc:  denied  { execmod } for  pid=27414 comm="svn" path="/usr/lib/libsvn_subr-1.so.0.0.0" dev=dm-2 ino=98709 scontext=unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1023 tcontext=system_u:object_r:lib_t:s0 tclass=file
Comment 1 Joe Orton 2009-04-06 09:28:10 EDT
Thanks for the report.  It's probably a text relocation.
Comment 2 Joe Orton 2009-04-14 04:27:25 EDT
Can you try the 1.6.1 build:

http://koji.fedoraproject.org/koji/buildinfo?buildID=97837
Comment 3 Joe Orton 2009-04-15 15:52:39 EDT
I couldn't reproduce this here.  This is the latest build, can you confirm whether this fixes the problem for you:

http://koji.fedoraproject.org/koji/buildinfo?buildID=98086
Comment 4 Vadym Chepkov 2009-04-23 18:24:31 EDT
This build doesn't seem to have the problem.

Not sure if I need to open a ticket about it, but when I try to compile it myself on Fedora 10 I get these:

ERROR   0001: file '/usr/bin/svnlook' contains a standard rpath '/usr/lib' in [/usr/lib]
ERROR   0001: file '/usr/bin/svnserve' contains a standard rpath '/usr/lib' in [/usr/lib]
ERROR   0001: file '/usr/bin/svnadmin' contains a standard rpath '/usr/lib' in [/usr/lib]
ERROR   0001: file '/usr/bin/svn' contains a standard rpath '/usr/lib' in [/usr/lib]
ERROR   0001: file '/usr/bin/svndumpfilter' contains a standard rpath '/usr/lib' in [/usr/lib]
ERROR   0001: file '/usr/bin/svnversion' contains a standard rpath '/usr/lib' in [/usr/lib]
ERROR   0001: file '/usr/bin/svnsync' contains a standard rpath '/usr/lib' in [/usr/lib]

I noticed there is a patch subversion-1.6.0-rpath.patch in the SOURCES directory, I guess it doesn't handle everything. Just thought you might want to know.
Comment 5 Bug Zapper 2009-06-09 09:14:56 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2010-04-27 09:29:47 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bug Zapper 2010-06-28 07:41:22 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.